> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Table Column

> Delete column by ID.

## Overview

This endpoint removes a column from a table.

## Example request

```bash theme={null}
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export COLUMN_ID="YOUR_COLUMN_ID"

curl -X DELETE "https://api.extruct.ai/v1/tables/${TABLE_ID}/columns/${COLUMN_ID}" \
  -H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
```

## Key parameters

* `table_id` (required): target table identifier.
* `column_id` (required): target column identifier.

## Success signal

A successful response confirms column deletion.

## Common errors

### `401 Unauthorized`

Check that your header is `Authorization: Bearer ${EXTRUCT_API_TOKEN}`.

### `404 Not Found`

The table or column ID is invalid, already deleted, or unavailable in your workspace.

## Related endpoints

* [Create Table Columns Endpoint](/api-reference/tables/create-table-columns)
* [Update Table Column Endpoint](/api-reference/tables/update-table-column)

## Related guides

* [Column Guide](/api-guides/ai-tables/column-guide)
* [Column Library](/api-guides/ai-tables/column-library)


## OpenAPI

````yaml delete /v1/tables/{table_id}/columns/{column_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/tables/{table_id}/columns/{column_id}:
    delete:
      tags:
        - tables
      summary: Delete Table Column
      description: Delete column by ID.
      operationId: delete_table_column_v1_tables__table_id__columns__column_id__delete
      parameters:
        - name: table_id
          in: path
          required: true
          schema:
            type: string
            title: Table Id
        - name: column_id
          in: path
          required: true
          schema:
            type: string
            title: Column Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnOutputSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ColumnOutputSchema:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        config:
          anyOf:
            - $ref: '#/components/schemas/InputColumnConfig'
            - $ref: '#/components/schemas/AgentColumnConfig-Output'
            - $ref: '#/components/schemas/CriterionGradeColumnConfig'
            - $ref: '#/components/schemas/PeopleFinderColumnConfig'
            - $ref: '#/components/schemas/DiscoveryScoresColumnConfig'
            - $ref: '#/components/schemas/CompanyNameColumnConfig'
            - $ref: '#/components/schemas/CompanyWebsiteColumnConfig'
            - $ref: '#/components/schemas/CompanyProfileColumnConfig'
            - $ref: '#/components/schemas/EmailFinderColumnConfig'
            - $ref: '#/components/schemas/PhoneFinderColumnConfig'
            - $ref: '#/components/schemas/ReverseEmailLookupColumnConfig'
      type: object
      required:
        - id
        - created_at
        - config
      title: ColumnOutputSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InputColumnConfig:
      properties:
        kind:
          type: string
          const: input
          title: Kind
          default: input
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: InputColumnConfig
    AgentColumnConfig-Output:
      properties:
        kind:
          type: string
          const: agent
          title: Kind
          default: agent
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        value:
          $ref: '#/components/schemas/AgentColumnSchema'
      type: object
      required:
        - name
        - key
        - value
      title: AgentColumnConfig
    CriterionGradeColumnConfig:
      properties:
        kind:
          type: string
          const: criterion_grade
          title: Kind
          default: criterion_grade
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        value:
          $ref: '#/components/schemas/CriterionGraderAgentSchema'
      type: object
      required:
        - name
        - key
        - value
      title: CriterionGradeColumnConfig
    PeopleFinderColumnConfig:
      properties:
        kind:
          type: string
          const: company_people_finder
          title: Kind
          default: company_people_finder
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        value:
          $ref: '#/components/schemas/PeopleFinderAgentSchema'
      type: object
      required:
        - name
        - key
        - value
      title: PeopleFinderColumnConfig
    DiscoveryScoresColumnConfig:
      properties:
        kind:
          type: string
          const: discovery_scores
          title: Kind
          default: discovery_scores
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        criteria:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/CriterionDefinition'
              type: object
            - type: 'null'
          description: Criteria definitions keyed by criterion.key
      type: object
      required:
        - name
        - key
      title: DiscoveryScoresColumnConfig
    CompanyNameColumnConfig:
      properties:
        kind:
          type: string
          const: company_name
          title: Kind
          default: company_name
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: CompanyNameColumnConfig
      description: >-
        System column for company name - automatically populated from company
        enrichment.
    CompanyWebsiteColumnConfig:
      properties:
        kind:
          type: string
          const: company_website
          title: Kind
          default: company_website
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: CompanyWebsiteColumnConfig
      description: >-
        System column for company website - automatically populated from company
        enrichment.
    CompanyProfileColumnConfig:
      properties:
        kind:
          type: string
          const: company_profile
          title: Kind
          default: company_profile
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: CompanyProfileColumnConfig
      description: >-
        System column for complete company profile - automatically populated
        from company enrichment.
    EmailFinderColumnConfig:
      properties:
        kind:
          type: string
          const: email_finder
          title: Kind
          default: email_finder
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: EmailFinderColumnConfig
      description: Configuration for email finder columns.
    PhoneFinderColumnConfig:
      properties:
        kind:
          type: string
          const: phone_finder
          title: Kind
          default: phone_finder
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - name
        - key
      title: PhoneFinderColumnConfig
      description: Configuration for phone finder columns.
    ReverseEmailLookupColumnConfig:
      properties:
        kind:
          type: string
          const: reverse_email_lookup
          title: Kind
          default: reverse_email_lookup
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        email_column_key:
          type: string
          title: Email Column Key
      type: object
      required:
        - name
        - key
        - email_column_key
      title: ReverseEmailLookupColumnConfig
      description: >-
        Configuration for reverse email lookup columns.


        Given an email address, returns LinkedIn profile data via FullEnrich
        API.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentColumnSchema:
      properties:
        agent_type:
          $ref: '#/components/schemas/AgentType'
          default: research_pro
        prompt:
          type: string
          title: Prompt
          default: ''
        output_format:
          $ref: '#/components/schemas/AgentOutputFormat'
          default: text
        labels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        output_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
        extra_dependencies:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
      type: object
      title: AgentColumnSchema
    CriterionGraderAgentSchema:
      properties:
        criterion:
          type: string
          title: Criterion
      type: object
      required:
        - criterion
      title: CriterionGraderAgentSchema
    PeopleFinderAgentSchema:
      properties:
        roles:
          items:
            type: string
          type: array
          minItems: 1
          title: Roles
        provider:
          type: string
          const: research_pro
          title: Provider
          default: research_pro
        max_results:
          type: integer
          title: Max Results
          default: 5
      type: object
      required:
        - roles
      title: PeopleFinderAgentSchema
    CriterionDefinition:
      properties:
        key:
          type: string
          pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
          title: Key
          description: Unique identifier for this criterion (e.g., "is_ai_company")
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: Human-readable name for this criterion (e.g., "AI Company")
        criterion:
          type: string
          maxLength: 500
          minLength: 10
          title: Criterion
          description: The actual criterion text to evaluate against companies
      type: object
      required:
        - key
        - name
        - criterion
      title: CriterionDefinition
      description: Definition of a criterion for evaluating companies in discovery tasks
    AgentType:
      type: string
      enum:
        - research
        - research_pro
        - research_reasoning
        - llm
        - linkedin
      title: AgentType
    AgentOutputFormat:
      type: string
      enum:
        - text
        - url
        - number
        - email
        - label
        - json
        - grade
        - people
        - numeric
        - money
        - date
        - phone
        - select
        - multiselect
      title: AgentOutputFormat
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````